## CinnamonWM CinnamonWM |

## Functions

CinnamonWM * | cinnamon_wm_new ()
void | cinnamon_wm_completed_minimize ()
void | cinnamon_wm_completed_maximize ()
void | cinnamon_wm_completed_tile ()
void | cinnamon_wm_completed_unmaximize ()
void | cinnamon_wm_completed_map ()
void | cinnamon_wm_completed_destroy ()
void | cinnamon_wm_completed_switch_workspace ()

## Signals

void | destroy | Run Last
void | hide-hud-preview | Run Last
void | hide-tile-preview | Run Last
void | kill-window-effects | Run Last
void | map | Run Last
void | maximize | Run Last
void | minimize | Run Last
void | show-hud-preview | Run Last
void | show-tile-preview | Run Last
void | switch-workspace | Run Last
void | switch-workspace-complete | Run Last
void | tile | Run Last
void | unmaximize | Run Last

## Object Hierarchy

        GObject
        ╰── CinnamonWM

## Description

## Functions

### cinnamon_wm_new ()

    CinnamonWM *
    cinnamon_wm_new (MetaPlugin *plugin);

Creates a new window management interface by hooking into `plugin` .

#### Parameters

plugin | the MetaPlugin |

#### Returns

the new window-management interface

### cinnamon_wm_completed_minimize ()

    void
    cinnamon_wm_completed_minimize (CinnamonWM *wm,
                                    MetaWindowActor *actor);

The plugin must call this when it has completed a window minimize effect.

#### Parameters

wm | the CinnamonWM |
actor | the MetaWindowActor actor |

### cinnamon_wm_completed_maximize ()

    void
    cinnamon_wm_completed_maximize (CinnamonWM *wm,
                                    MetaWindowActor *actor);

The plugin must call this when it has completed a window maximize effect.

#### Parameters

wm | the CinnamonWM |
actor | the MetaWindowActor actor |

### cinnamon_wm_completed_tile ()

    void
    cinnamon_wm_completed_tile (CinnamonWM *wm,
                                MetaWindowActor *actor);

The plugin must call this when it has completed a window tile effect.

#### Parameters

wm | the CinnamonWM |
actor | the MetaWindowActor actor |

### cinnamon_wm_completed_unmaximize ()

    void
    cinnamon_wm_completed_unmaximize (CinnamonWM *wm,
                                      MetaWindowActor *actor);

The plugin must call this when it has completed a window unmaximize effect.

#### Parameters

wm | the CinnamonWM |
actor | the MetaWindowActor actor |

### cinnamon_wm_completed_map ()

    void
    cinnamon_wm_completed_map (CinnamonWM *wm,
                               MetaWindowActor *actor);

The plugin must call this when it has completed a window map effect.

#### Parameters

wm | the CinnamonWM |
actor | the MetaWindowActor actor |

### cinnamon_wm_completed_destroy ()

    void
    cinnamon_wm_completed_destroy (CinnamonWM *wm,
                                   MetaWindowActor *actor);

The plugin must call this when it has completed a window destroy effect.

#### Parameters

wm | the CinnamonWM |
actor | the MetaWindowActor actor |

### cinnamon_wm_completed_switch_workspace ()

    void
    cinnamon_wm_completed_switch_workspace
                                   (CinnamonWM *wm);

The plugin must call this when it has finished switching the workspace.

#### Parameters

wm | the CinnamonWM |

## Types and Values

## Signal Details

### The `“destroy”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“hide-hud-preview”` signal

    void
    user_function (CinnamonWM *cinnamonwm,
                   gpointer    user_data)

Flags: Run Last

### The `“hide-tile-preview”` signal

    void
    user_function (CinnamonWM *cinnamonwm,
                   gpointer    user_data)

Flags: Run Last

### The `“kill-window-effects”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“map”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“maximize”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gint             arg2,
                   gint             arg3,
                   gint             arg4,
                   gint             arg5,
                   gpointer         user_data)

Flags: Run Last

### The `“minimize”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“show-hud-preview”` signal

    void
    user_function (CinnamonWM    *cinnamonwm,
                   guint          arg1,
                   MetaRectangle *arg2,
                   guint          arg3,
                   gpointer       user_data)

Flags: Run Last

### The `“show-tile-preview”` signal

    void
    user_function (CinnamonWM    *cinnamonwm,
                   MetaWindow    *arg1,
                   MetaRectangle *arg2,
                   gint           arg3,
                   guint          arg4,
                   gpointer       user_data)

Flags: Run Last

### The `“switch-workspace”` signal

    void
    user_function (CinnamonWM *cinnamonwm,
                   gint        arg1,
                   gint        arg2,
                   gint        arg3,
                   gpointer    user_data)

Flags: Run Last

### The `“switch-workspace-complete”` signal

    void
    user_function (CinnamonWM *cinnamonwm,
                   gpointer    user_data)

Flags: Run Last

### The `“tile”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gint             arg2,
                   gint             arg3,
                   gint             arg4,
                   gint             arg5,
                   gpointer         user_data)

Flags: Run Last

### The `“unmaximize”` signal

    void
    user_function (CinnamonWM      *cinnamonwm,
                   MetaWindowActor *arg1,
                   gint             arg2,
                   gint             arg3,
                   gint             arg4,
                   gint             arg5,
                   gpointer         user_data)

Flags: Run Last